# Asterisk Project : Asterisk 13 Application_SpeechDestroy

Created by wikibot on Aug 08, 2014

# SpeechDestroy()

### Synopsis

End speech recognition.

### Description

This destroys the information used by all the other speech recognition applications. If you call this application but end up wanting to recognize more speech, you must call SpeechCreate() again before calling any other application.

Hangs up the channel on failure. If this is not desired, use TryExec.

### Syntax

    SpeechDestroy()

##### Arguments

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538